Subject: RE: problems with configuring ksh (pdksh) in Cygwin and following problems with Linux cross-compilation there
From: "Povolotsky, Alexander" <[email-masked]>
To: [email-masked]
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 6 Aug 2004 05:08:05 -0400

Arturus - you were right 100% !

applying dos2unix to both /etc/profile and (in ~ directory) to .kshrc did it
- thanks !

-----Original Message-----
From: Arturus Magi [mailto:[email-masked]]
Sent: Thursday, August 05, 2004 11:06 PM
To: [email-masked]
Cc: Povolotsky, Alexander; [email-masked]
Subject: Re: problems with configuring ksh (pdksh) in Cygwin and
following problems with Linux cross-compilation there

Igor Pechtchanski wrote:
{building of pdksh, modifying cygwin.bat}
>>: not foundrofile[2]:
>>: not foundrofile[8]:
>>: not foundrofile[11]:
>>: not foundrofile[14]:
>>: not foundrofile[17]:
>>: not foundrofile[20]:
>>: not foundrofile[23]:
>>: not foundrofile[26]:
>>: not foundrofile[30]:
>>: not foundrofile[36]:
>>ksh: /etc/profile[63]: syntax error: `done' unexpected
> 
> 
> Hmm, this is weird.  Do you have the default /etc/profile (as installed by
> the 'base-files' package), or did you customize yours?
> 
> 
>>$ ps -l
>>      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
>>     3852       1    3852       3852  con 91693 04:37:11 /usr/bin/ksh
>>      164    3852     164       2436  con 91693 04:37:22 /usr/bin/ps
>>
>>What do I need to do to get rid of ": not foundrofile" errors ?
> 
> 
> I suspect that the errors are actually '.......rofile[23]:^M:not found'
> (the ^M, or CR, is doing a carriage return).  It's possible that a
> bash-ism got into the default /etc/profile, or it may be a text/binary
> error.  I'll check it out if I can reproduce it.
> 
> 

9:1 that the text is 'ksh: /etc/profile[xx]: \n: not found', which does 
sound like a lineend problem.

I ran into this once, when I modified /etc/profile with a text editor 
that didn't understand Unix newlines without paying attention.  Assuming 
that this is the cause, and that /etc is mounted binary, dos2unix should 
fix it.
-----Original Message-----
From: Igor Pechtchanski [mailto:[email-masked]]
Sent: Thursday, August 05, 2004 6:26 PM
To: Povolotsky, Alexander
Cc: [email-masked]; [email-masked]
Subject: Re: problems with configuring ksh (pdksh) in Cygwin and
following problems with Linux cross-compilation there

On Mon, 2 Aug 2004, Povolotsky, Alexander wrote:

> *** Igor Pechtchanski wrote: ***
> >yes, Cygwin can be configured to use ksh
> >instead of bash.  The two places that should be changed are "/Cygwin.bat"
> >(you'll have to invoke "pdksh.exe", though, since "ksh.exe" is a
symlink),
> >and "/etc/passwd" (change your default shell to "/usr/bin/ksh").  At the
> >moment, I can't think of any other places that might need changing, but
> >perhaps someone on the list will.  Please let the list know if this
works.
>
> Based on above advise, I have assumed that I need to install from scratch
> the pdksh package first. I have installed source for pdksh-5.2.14 and have
> built ksh (pdksh) from there (in Cygwin's b'ash window). "Make install"
has
> put ksh into Cygwin's /usr/local/bin and I copied it into Cygwin's /bin
> folder

Wrong.  You should have simply installed the Cygwin 'pdksh' package from
any mirror.

> To incorporate ksh (pdksh ), I modified my Cygwin bat file (commented out
> bash line and added ksh line )as follows:
> **********************
> @echo off
>
> C:
> chdir C:\cygwin\bin
>
> REM bash --login -i
>
> ksh -l
> ***************

Yep, this should work.

> I think it works (did not try cross compilation yet ;-)), but I get some
> annoing errors at the start of the Cygwin's shell now:
>
> : not foundrofile[2]:
> : not foundrofile[8]:
> : not foundrofile[11]:
> : not foundrofile[14]:
> : not foundrofile[17]:
> : not foundrofile[20]:
> : not foundrofile[23]:
> : not foundrofile[26]:
> : not foundrofile[30]:
> : not foundrofile[36]:
> ksh: /etc/profile[63]: syntax error: `done' unexpected

Hmm, this is weird.  Do you have the default /etc/profile (as installed by
the 'base-files' package), or did you customize yours?

> $ ps -l
>       PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
>      3852       1    3852       3852  con 91693 04:37:11 /usr/bin/ksh
>       164    3852     164       2436  con 91693 04:37:22 /usr/bin/ps
>
> What do I need to do to get rid of ": not foundrofile" errors ?

I suspect that the errors are actually '.......rofile[23]:^M:not found'
(the ^M, or CR, is doing a carriage return).  It's possible that a
bash-ism got into the default /etc/profile, or it may be a text/binary
error.  I'll check it out if I can reproduce it.

> *** Christopher Faylor wrote: ***
> >If you are talking about using pdksh, then, if you already have a
> >cross-compilation environment set up you should simply try it and
> >report problems.
>
> So I am trying - that is what I get:
>
> $ pwd
> /cygdrive/d/Profiles/apovolot/linux-2.6.8-rc2/linux-2.6.7
>
> $ make clean
> make: ***
> /cygdrive/d/Profiles/apovolot/linux-2.6.8-rc2/linux-2.6.7/arch/ppc: Is
>  a directory.  Stop.
>
> $ make oldconfig
>   HOSTCC  scripts/basic/fixdep
>   HOSTCC  scripts/basic/split-include
>   HOSTCC  scripts/basic/docproc
>   HOSTCC  scripts/kconfig/conf.o
>   HOSTCC  scripts/kconfig/libkconfig.o
>   HOSTCC  scripts/kconfig/mconf.o
>   HOSTLD  scripts/kconfig/conf
> scripts/kconfig/conf -o arch/ppc /Kconfig
> input in flex scanner failed
> make[1]: *** [oldconfig] Error 2
> make: *** [oldconfig] Error 2
>
> $ make menuconfig
>   HOSTCC  scripts/basic/fixdep
>   HOSTCC  scripts/basic/split-include
>   HOSTCC  scripts/basic/docproc
>   HOSTLD  scripts/kconfig/mconf
>   HOSTCC  scripts/lxdialog/checklist.o
>   HOSTCC  scripts/lxdialog/inputbox.o
>   HOSTCC  scripts/lxdialog/lxdialog.o
>   HOSTCC  scripts/lxdialog/menubox.o
>   HOSTCC  scripts/lxdialog/msgbox.o
>   HOSTCC  scripts/lxdialog/textbox.o
>   HOSTCC  scripts/lxdialog/util.o
>   HOSTCC  scripts/lxdialog/yesno.o
>   HOSTLD  scripts/lxdialog/lxdialog
> Info: resolving _COLS by linking to __imp__COLS (auto-import)
> Info: resolving _LINES by linking to __imp__LINES (auto-import)
> Info: resolving _stdscr by linking to __imp__stdscr (auto-import)
> scripts/kconfig/mconf arch/ppc /Kconfig
> input in flex scanner failed
> make[1]: *** [menuconfig] Error 2
> make: *** [menuconfig] Error 2

Sorry, can't help you here.
	Igor
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"Happiness lies in being privileged to work hard for long hours in doing
whatever you think is worth doing."  -- Dr. Jubal Harshaw

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/